# Uses of Class
classycle.NameAndSourceAttributes

Packages that use NameAndSourceAttributes
Package
Description
classycle

## Uses of NameAndSourceAttributes in classycle

Subclasses of NameAndSourceAttributes in classycle
Modifier and Type
Class
Description
`class`
`ClassAttributes`
Immutable class holding the attributes of a class vertex.
`class`
`PackageAttributes`
Methods in classycle with parameters of type NameAndSourceAttributes
Modifier and Type
Method
Description
`protected void`
NameAndSourceAttributes.`addSourcesOf(NameAndSourceAttributes attributes)`
Adds the source of the specified attributes.